import { DefineBehavior } from './define-behavior';
export function DefineShader(options) {
    return (constructor) => {
        return DefineBehavior(Object.assign(Object.assign({}, options), { type: 'shader' }))(constructor);
    };
}
